> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Rate

> Get Rate details.



## OpenAPI

````yaml get /rate
openapi: 3.0.3
info:
  title: GetPartna Api Documentation
  version: '3.0'
servers:
  - url: https://staging-api.getpartna.com/v4
  - url: https://api.getpartna.com/v4
security:
  - x-api-key: []
    x-api-user: []
  - authorization: []
tags:
  - description: user endpoints
    name: User
  - description: account endpoints
    name: Account
  - description: transfer endpoints
    name: Transfer
  - description: supported assets and networks
    name: Supported
  - description: discount endpoints
    name: Discount
  - description: rate endpoints
    name: Rate
  - description: KYC endpoints
    name: KYC
  - description: Multi-Factor Authentication endpoints
    name: MFA
  - description: ramp endpoints
    name: Ramp
  - description: pricing endpoints
    name: Pricing
  - description: banks
    name: Bank
  - description: mock endpoints for testing
    name: Mock
paths:
  /rate:
    get:
      tags:
        - Rate
      summary: Get Rate
      description: Get Rate details.
      operationId: get-rate
      parameters:
        - description: ''
          in: query
          name: fromCurrency
          required: false
          schema:
            type: string
        - description: ''
          in: query
          name: toCurrency
          required: false
          schema:
            type: string
        - description: ''
          in: query
          name: fromAmount
          required: false
          schema:
            type: string
        - description: ''
          in: query
          name: toAmount
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                example:
                  data:
                    rate:
                      ETH_to_USD:
                        fromAmount: 1
                        fromCurrency: ETH
                        key: 2400-ETH_to_USD-5ddc8f46-1755873777
                        rate: 2400
                        toAmount: 2400
                        toCurrency: USD
                      USDT_to_USD:
                        fromAmount: 1
                        fromCurrency: USDT
                        key: 1-USDT_to_USD-bbfcdc61-1755873777
                        rate: 1
                        toAmount: 1
                        toCurrency: USD
                      USD_to_ETH:
                        fromAmount: 2500
                        fromCurrency: USD
                        key: 0.0004-USD_to_ETH-c5375bfb-1755873777
                        rate: 0.0004
                        toAmount: 1
                        toCurrency: ETH
                  message: success
                properties:
                  data:
                    properties:
                      rate:
                        properties:
                          ETH_to_USD:
                            properties:
                              fromAmount:
                                type: number
                              fromCurrency:
                                type: string
                              key:
                                type: string
                              rate:
                                type: number
                              toAmount:
                                type: number
                              toCurrency:
                                type: string
                            type: object
                          USDT_to_USD:
                            properties:
                              fromAmount:
                                type: number
                              fromCurrency:
                                type: string
                              key:
                                type: string
                              rate:
                                type: number
                              toAmount:
                                type: number
                              toCurrency:
                                type: string
                            type: object
                          USD_to_ETH:
                            properties:
                              fromAmount:
                                type: number
                              fromCurrency:
                                type: string
                              key:
                                type: string
                              rate:
                                type: number
                              toAmount:
                                type: number
                              toCurrency:
                                type: string
                            type: object
                        type: object
                    type: object
                  message:
                    type: string
                type: object
          description: get rate ok
        '503':
          content:
            application/json:
              schema:
                example:
                  message: Rates not available, please try again later
                properties:
                  message:
                    type: string
                type: object
          description: get rate service unavailable
      security:
        - x-api-key: []
          x-api-user: []
        - authorization: []
components:
  securitySchemes:
    x-api-key:
      in: header
      name: x-api-key
      type: apiKey
    x-api-user:
      in: header
      name: x-api-user
      type: apiKey
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````